de.vc.jfo.attributes

## Class AbsolutePosition

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.AbsolutePosition

- All Implemented Interfaces:
    java.lang.Cloneable

      public class AbsolutePosition
      extends AttributeSubSet

  AbsolutePosition provides informations about the absolute position of fo.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbsolutePosition.PositionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `KEY_SET`
    `static AbsolutePosition.PositionType` | `POSITION_ABSOLUTE`
    `static AbsolutePosition.PositionType` | `POSITION_AUTO`
    `static AbsolutePosition.PositionType` | `POSITION_FIXED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsolutePosition()` Create an absolute position.
    `AbsolutePosition(Measure top, Measure right, Measure bottom, Measure left)` Creates a absolute position (Position-type is absolut).
    `AbsolutePosition(Measure top, Measure right, Measure bottom, Measure left, AbsolutePosition.PositionType type)` Creates a absolute position (Position-type is absolut).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `Measure` | `getBottom()` Gets the bottom position.
    `Measure` | `getLeft()` Gets the left position.
    `Measure` | `getRight()` Gets the right position.
    `Measure` | `getTop()` Gets the top position.
    `AbsolutePosition.PositionType` | `getType()`
    `void` | `setBottom(Measure bottom)` Sets the bottom position.
    `void` | `setLeft(Measure left)` Sets the left position.
    `void` | `setRight(Measure right)` Sets the right position.
    `void` | `setTop(Measure top)` Sets the top position.
    `void` | `setType(AbsolutePosition.PositionType type)`

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POSITION_AUTO

          public static final AbsolutePosition.PositionType POSITION_AUTO

    - #### POSITION_ABSOLUTE

          public static final AbsolutePosition.PositionType POSITION_ABSOLUTE

    - #### POSITION_FIXED

          public static final AbsolutePosition.PositionType POSITION_FIXED

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### AbsolutePosition

          public AbsolutePosition()

      Create an absolute position.

    - #### AbsolutePosition

          public AbsolutePosition(Measure top,
                          Measure right,
                          Measure bottom,
                          Measure left)

      Creates a absolute position (Position-type is absolut).
      Parameters:
        `top` - Top value.
        `right` - Right value.
        `bottom` - Bottom value.
        `left` - Left value.

    - #### AbsolutePosition

          public AbsolutePosition(Measure top,
                          Measure right,
                          Measure bottom,
                          Measure left,
                          AbsolutePosition.PositionType type)

      Creates a absolute position (Position-type is absolut).
      Parameters:
        `top` - Top value.
        `right` - Right value.
        `bottom` - Bottom value.
        `left` - Left value.
        `type` - Position type.

  - ### Method Detail

    - #### getType

          public AbsolutePosition.PositionType getType()

    - #### getTop

          public Measure getTop()

      Gets the top position. This defines how far the top margin edge is offset below the top edge of the box's containing block.
      Returns:
        Top position.

    - #### getRight

          public Measure getRight()

      Gets the right position. This defines how far the right margin edge is offset left to the right edge of the box's containing block.
      Returns:
        Right position.

    - #### getLeft

          public Measure getLeft()

      Gets the left position. This defines how far the left margin edge is offset right to the right left of the box's containing block.
      Returns:
        Left position.

    - #### getBottom

          public Measure getBottom()

      Gets the bottom position. This defines how far the bottom margin edge is offset above the bottom edge of the box's containing block.
      Returns:
        Bottom position.

    - #### setBottom

          public void setBottom(Measure bottom)

      Sets the bottom position. This defines how far the bottom margin edge is offset above the bottom edge of the box's containing block.
      Parameters:
        `bottom` - Bottom position.

    - #### setLeft

          public void setLeft(Measure left)

      Sets the left position. This defines how far the left margin edge is offset right to the right left of the box's containing block.
      Parameters:
        `left` - Left position.

    - #### setRight

          public void setRight(Measure right)

      Sets the right position. This defines how far the right margin edge is offset left to the right edge of the box's containing block.
      Parameters:
        `right` - Right position.

    - #### setTop

          public void setTop(Measure top)

      Sets the top position. This defines how far the top margin edge is offset below the top edge of the box's containing block.
      Parameters:
        `top` - Top position.

    - #### setType

          public void setType(AbsolutePosition.PositionType type)

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.